/*---------------------------------------------------------------------*/
/* WRTR_RC.H  -- defines an array for translating EHNAPPC return codes */
/*               to character strings.  It's used for displaying the   */
/*               return codes in WRTRSAMP.                             */
/*---------------------------------------------------------------------*/
 
char *returnstring[100] =  { /* for return codes */
"OK",
"DEALLOCNORMAL",
"PROGRAMERRNOTRUNCATION",
"PROGRAMERRTRUNCATION",
"PROGRAMERRPURGING",
"RESOURCEFAILURERETRY",
"RESOURCEFAILURENORETRY",
"UNSUCCESSFUL",
"APPCBUSY",                /* 8 */
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"PARMCHKINVALIDVERB",      /* 20 */
"PARMCHKINVALIDCONVERID",
"PARMCHKBUFFERCROSSSEG",
"PARMCHKTPNAMELENGTH",
"PARMCHKINVCONVERTYPE",
"PARMCHKBADSYNCLVLALLOC",
"PARMCHKBADRETURNCTRL",
"PARMCHKPIPTOOLONG",
"PARMCHKBADPARTNERNAME",
"PARMCHKCONFNOTALLOWED",
"PARMCHKBADDEALLOCTYPE",   /* 30 */
"PARMCHKPREPTORCVTYPE",
"PARMCHKBADFILLTYPE",
"PARMCHKRECMAXLEN",
"PARMCHKUNKNOWNSECTYPE",
"PARMCHKRESFLDNOTZERO",    /* 35 */
"",
"",
"",
"",
"STATECHKNOTINCONFSTAT",   /* 40 */
"STATECHKNOTINRECEIVE",
"STATECHKREQSNDBADSTAT",
"STATECHKSNDINBADSTATE",
"STATECHKSNDERRBADSTAT",   /* 44 */
"",
"",
"",
"",
"",
"ALLOCERRNORETRY",         /* 50 */
"ALLOCERRRETRY",
"ALLOCERRPGMNOTAVAILNR",
"ALLOCERRTPNNOTRECOG",
"ALLOCERRPGMNOTAVAILR",
"ALLOCERRSECNOTVALID",
"ALLOCERRCONVTYP",
"ALLOCERRPIPNOTALLOWED",
"ALLOCERRPIPNOTCORRECT",
"ALLOCERRSYNCHLEVEL",
"",                        /* 60 */
"",
"",
"",
"",
"",
"",
"",
"",
"",
"DEALLOCABENDPROGRAM",     /* 70 */
"INSUFFICIENTMEMORY",
"MEMORYALLOCERROR",
"TOOMANYCONVERSATIONS",
"CONVTABLEFULL",
"ROUTERNOTINSTALLED",
"ROUTERWRONGLEVEL",
"PCSWINNOTLOADED",
"PCSWINOUTOFMEMORY",
"INVALIDUSERIDLEN",
"INVALIDPASSWORDLEN",
"INVALIDLUNAME",           /* 81 */
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"",
"UNDEFINED"                /* 99 */
} ;
 
